Subject: bug#73472: [PATCH] Substitute quotation marks in Eglot messages

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Sep 2024 08:52:06 +0300

> Date: Wed, 25 Sep 2024 20:03:20 +0200
> From: "Thomas Voss" <[email-masked]>
> Cc: <[email-masked]>
> 
> Not sure why I didn’t think of this when creating the patch, but it’s
> probably a much better idea to change this:
> 
>     (substitute-quotes (apply #'format format args))
> 
> to this:
> 
>     (apply #'format (substitute-quotes format) args)
> 
> This limits the scope of the substitution to just the format strings,
> where we know no funny business is going on.

That is of course better, but do we indeed know that format will never
use quote characters for something that is not quoting?

I think the caller should itself use substitute-quotes where
appropriate.

And I'd like to hear João's opinion as well.